Name:           uid_wrapper
Version:        1.1.1
Release:        1%{?dist}

Summary:        A wrapper for privilege separation
License:        GPLv3+
Url:            http://cwrap.org/

Source0:        https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libcmocka-devel

Requires:       cmake
Requires:       pkgconfig

%description
Some projects like a file server need privilege separation to be able to switch
to the connection user and do file operations. uid_wrapper convincingly lies
to the application letting it believe it is operating as root and even
switching between UIDs and GIDs as needed.

To use it set the following environment variables:

LD_PRELOAD=libuid_wrapper.so
UID_WRAPPER=1

This package doesn't have a devel package cause this project is for
development/testing.

%prep
%setup -q

%build
if test ! -e "obj"; then
  mkdir obj
fi
pushd obj
%cmake \
  -DUNIT_TESTING=ON \
  %{_builddir}/%{name}-%{version}

make %{?_smp_mflags} VERBOSE=1
popd

%install
pushd obj
make DESTDIR=%{buildroot} install
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
pushd obj
make test
popd

%files
%doc AUTHORS README ChangeLog COPYING
%{_libdir}/libuid_wrapper.so*
%dir %{_libdir}/cmake/uid_wrapper
%{_libdir}/cmake/uid_wrapper/uid_wrapper-config-version.cmake
%{_libdir}/cmake/uid_wrapper/uid_wrapper-config.cmake
%{_libdir}/pkgconfig/uid_wrapper.pc
%{_mandir}/man1/uid_wrapper.1*

%changelog
* Wed Sep 02 2015 Andreas Schneider <asn@redhat.com> - 1.1.1-1
- Update to version 1.1.1

* Wed Jan 21 2015 Andreas Schneider <asn@redhat.com> - 1.1.0-1
- Update to version 1.1.0

* Mon Dec 15 2014 Michael Adam <madam@redhat.com> - 1.0.2-3
- Fix format errors in changelog.
- Require cmake.
- Don't own _libdir/pkgconfig, and require pkgconfig instead.

* Thu Oct 02 2014 Andreas Schneider <asn@redhat.com> - 1.0.2-2
- resolves: #1146410 - Do not own /usr/lib64/cmake.

* Thu Jul 31 2014 Andreas Schneider <asn@redhat.com> - 1.0.2-1
- Update to version 1.0.2.

* Tue Mar 11 2014 Andreas Schneider <asn@redhat.com> - 1.0.1-3
- Fix some typos.
- resolves: #1060910 - Fedora import

* Tue Feb 11 2014 Andreas Schneider <asn@redhat.com> - 1.0.1-2
- Remove Group
- Remove glibc-devel build requirement
- Do not create a subpackage.

* Tue Feb 04 2014 Andreas Schneider <asn@redhat.com> - 1.0.1-1
- Update to version 1.0.1
  * Added --libs to pkg-config.
  * Added socket_wrapper-config.cmake
  * Fixed a bug packaging the obj directory.

* Mon Feb 03 2014 Andreas Schneider <asn@redhat.com> - 1.0.0-1
- Initial version 1.0.0
